Description

Sometimes in tables you got a lot of columns, but you actually just need sometimes to see a few, something like in Spreadsheet software

that you can hide/unhide columns. Maybe display somewhere that table has hidden fields

History

#1 - 2014-05-05 09:39 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

There is already this option, is the "hidden" edit widget.

#2 - 2014-05-05 10:00 AM - Antonio Locandro

True thanks for pointing me to it. Don't you think it would be more usable and faster if a column named Hidden like WMS and WFS be used? That would

make it faster to toggle fields on/off. Also an option to get to the widget thing (don't know how it is called) with a button in the attribute table

#3 - 2014-05-05 10:04 AM - Giovanni Manghi

Antonio Locandro wrote:

True thanks for pointing me to it. Don't you think it would be more usable and faster if a column named Hidden like WMS and WFS be used?

WMS/WFS in the "fields" tab is to tell QGIS server if that column is to serve as attribute. The widget I'm talking is available when you press the "line edit"

button and change the widget (to "hidden").

Also an option to get to the widget thing (don't know how it is called) with a button in the attribute table

a shortcut (for widgets) in the table of attributes would be very good indeed.

#4 - 2014-05-05 10:51 AM - Antonio Locandro

Yes I manage to use the widget you mention but if you have many fields it gets kind of tiresome to click the widget and then select hidden for each one. I

was thinking a field similar to WMS could be used but I guess that means refactoring a bit the widget part
#5 - 2014-05-05 10:53 AM - Giovanni Manghi

Antonio Locandro wrote:

Yes I manage to use the widget you mention but if you have many fields it gets kind of tiresome to click the widget and then select hidden for each

one. I was thinking a field similar to WMS could be used but I guess that means refactoring a bit the widget part

If I'm not wrong the widget refactoring is already under process, so let's wait what will come along the way to 2.4

2024-03-13 2/2


